# Uses of Class
jcifs.smb.SID

Packages that use SID
Package
Description
jcifs.smb

## Uses of SID in jcifs.smb

Fields in jcifs.smb declared as SID
Modifier and Type
Field
Description
`static SID`
SID.`CREATOR_OWNER`
`static SID`
SID.`EVERYONE`
`static SID`
SID.`SYSTEM`
Methods in jcifs.smb that return SID
Modifier and Type
Method
Description
`SID`
SID.`getDomainSid()`
`SID[]`
SID.`getGroupMemberSids(String authorityServerName, NtlmPasswordAuthentication auth, int flags)`
`static SID`
SID.`getServerSid(String server, NtlmPasswordAuthentication auth)`
`SID`
ACE.`getSID()`
Return the SID associated with this ACE.
Methods in jcifs.smb with parameters of type SID
Modifier and Type
Method
Description
`static void`
SID.`resolveSids(String authorityServerName, NtlmPasswordAuthentication auth, SID[] sids)`
Resolve an array of SIDs using a cache and at most one MSRPC request.
`static void`
SID.`resolveSids(String authorityServerName, NtlmPasswordAuthentication auth, SID[] sids, int offset, int length)`
Constructors in jcifs.smb with parameters of type SID
Modifier
Constructor
Description
``
`SID(SID domsid, int rid)`
Construct a SID from a domain SID and an RID (relative identifier).